# Type alias Artifact<C>

Artifact<C>: ContractObject & C["artifact"] & {
db: {
callBytecode: Resources.IdObject<"bytecodes">;
contract: Resources.IdObject<"contracts">;
createBytecode: Resources.IdObject<"bytecodes">;
};
networks?: {
[networkId: string]: ArtifactNetwork<C>;
};
}

#### Type Parameters

- #### C extends Project.LoadMigrate.Batch.Config

#### Type declaration

- ##### db: {
  callBytecode: Resources.IdObject<"bytecodes">;
  contract: Resources.IdObject<"contracts">;
  createBytecode: Resources.IdObject<"bytecodes">;
  }

  - ##### callBytecode: Resources.IdObject<"bytecodes">

  - ##### contract: Resources.IdObject<"contracts">

  - ##### createBytecode: Resources.IdObject<"bytecodes">

- ##### `Optional` networks?: {
  [networkId: string]: ArtifactNetwork<C>;
  }

  - ##### [networkId: string]: ArtifactNetwork<C>

- Defined in packages/db/src/project/loadMigrate/batch.ts:41

Generated using TypeDoc